Bug 1001410 - [ALL_LANG][Admin Portal] Unlocalized string 'User: with Role: ' in 'Remove System Permission(s)' dialog.
[ALL_LANG][Admin Portal] Unlocalized string 'User: with Role: ' in 'Remove Sy...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 All
medium Severity medium
: ---
: 3.3.0
Assigned To: Alexander Wels
Yuko Katabami
ux
: CodeChange, i18n, Translation
Depends On:
Blocks: 1013599
  Show dependency treegraph
 
Reported: 2013-08-26 22:30 EDT by Lijun Li
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1013599 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Unlocalized string 'User: with Role: ' in 'Remove System Permission(s)' dialog (48.46 KB, image/png)
2013-08-26 22:32 EDT, Lijun Li
no flags Details
code: SystemPermissionListModel.java (69.13 KB, image/png)
2013-09-05 13:20 EDT, Einav Cohen
no flags Details
Not fixed_Remove System Permissions (21.34 KB, image/png)
2013-09-27 04:09 EDT, Lijun Li
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18936 None None None Never

  None (edit)
Description Lijun Li 2013-08-26 22:30:44 EDT
Description of problem:
Unlocalized string 'User: with Role: ' in 'Remove System Permission(s)' dialog.

Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.16.master.el6ev.noarch.rpm
rhevm-webadmin-portal-3.3.0-0.16.master.el6ev.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1. Login web admin portal.
2. Click on the top right Configure button.
3. Click on System Permissions pane.
4. Select a user and click Remove button.


Actual results:
Unlocalized string 'User: with Role: ' in 'Remove System Permission(s)' dialog.

Expected results:
All the strings should be localized.

Additional info:
Please refer to the attached screen shot for more details.
Comment 1 Lijun Li 2013-08-26 22:32:44 EDT
Created attachment 790737 [details]
Unlocalized string 'User: with Role: ' in 'Remove System Permission(s)' dialog
Comment 2 Einav Cohen 2013-09-05 13:20:52 EDT
Created attachment 794378 [details]
code: SystemPermissionListModel.java
Comment 3 Einav Cohen 2013-09-05 13:24:16 EDT
confirming that there are hard-coded English strings in the code (see attachment 794378 [details]).

need to turn the entire sentence into a single string that accepts two variable values (i.e. "User: '{0}' with Role: '{1}'"), and make sure that this string is localized (i.e. added to "___Messages.java/.properties") in order to allow its translation.
Comment 4 Lijun Li 2013-09-27 04:08:37 EDT
Verified it NOT fixed on is15 build: 3.3.0-0.22.master.el6ev

Please see the attached screenshot.
Comment 5 Lijun Li 2013-09-27 04:09:25 EDT
Created attachment 803816 [details]
Not fixed_Remove System Permissions
Comment 6 Alexander Wels 2013-09-27 11:21:10 EDT
Einav,

Did the translation for this happen yet? if not that would explain why they are not seeing any changes.
Comment 7 Einav Cohen 2013-09-30 08:31:08 EDT
(In reply to Alexander Wels from comment #6)
> Einav,
> 
> Did the translation for this happen yet? if not that would explain why they
> are not seeing any changes.

Yes, Alex - you are right. This BZ is actually a CodeChange (updated Keywords accordingly), I am moving it to VERIFIED, as the code-change is in.

The originally reported issue should be verified in the context of the i18n BZ (bug 1013599), once it will move to ON_QA.
Comment 8 Itamar Heim 2014-01-21 17:29:40 EST
Closing - RHEV 3.3 Released
Comment 9 Itamar Heim 2014-01-21 17:29:40 EST
Closing - RHEV 3.3 Released
Comment 10 Itamar Heim 2014-01-21 17:32:38 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.